< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package box
  Definition Classes
    ct
-  package formats
  Definition Classes
    box
-  package retriever
  Definition Classes
    box
- AnnualConstant
- Calculated
- CompoundCalculated
- CtBigDecimal
- CtBoolean
- CtBoxIdentifier
- CtDate
- CtInteger
- CtOptionalBigDecimal
- CtOptionalBoolean
- CtOptionalDate
- CtOptionalInteger
- CtOptionalString
- CtString
- CtTypeConverters
- CtValidation
- CtValue
- Debit
- EndDate
- ExtraValidation
- Input
- InputWithDefault
- Linked
- MustBeNoneOrZeroOrPositiveDecimal
- MustBeZeroOrPositive
- NotInPdf
- OptionalCtValue
- SelfValidatableBox
- StartDate
- ValidatableBox
- Validators

t

uk.gov.hmrc.ct.box

# CtOptionalBoolean 

###

#### trait CtOptionalBoolean extends OptionalCtValue[Boolean]

Self Type
  CtOptionalBoolean with CtBoxIdentifier

Linear Supertypes
OptionalCtValue[Boolean], CtValue[Option[Boolean]], AnyRef, Any
Known Subclasses
CATO24, AC8091, AC187, AC200A, AC320, AC7100, AC7200, AC7300, AC7400, AC7500, AC7600, AC7800, AC7900, AC8084, AC8085, ACQ5021, ACQ5022, ACQ5031, ACQ5032, ACQ5033, ACQ5034, ACQ5035, AC7801, AC7991, AC7992, AC7999a, AC8087, AC8021, AC8023, AC8081, AC8082, AC8083, AC8088, AC8089, AC8899, ACQ8003, ACQ8009, ACQ8161, ACQ8989, ACQ8990, ACQ8991, ACQ8999, CPQ10, CPQ1000, CPQ11, CPQ117, CPQ17, CPQ18, CPQ19, CPQ20, CPQ21, CPQ321, CPQ7, CPQ8, B2, B31, B42a, B42b, B80, RSQ1, RSQ2, RSQ4, RSQ7, RSQ8, B150, B40, B45, B45Input, B5, B55, B6, B65, B7, B8, B80A, B85A, BFQ1, N092, PAYEEQ1, REPAYMENTSQ1, A1, LPQ03, LPQ04, LPQ05, LPQ06, LPQ08, LPQ09, LPQ10, A5, LPQ03, LPQ04, LPQ08, LPQ10, E1010, E1011, E1012, E1013, E15, E20, E25, E45, B140
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CtOptionalBoolean
2. OptionalCtValue
3. CtValue
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def value: Option[Boolean]
   Definition Classes
     CtValue

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def asBoolean: Option[Boolean]
5.  def asBoxString: Option[String]
   Definition Classes
     CtValue
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def inverse: Option[Boolean]
15.  def isFalse: Boolean
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  def isTrue: Boolean
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def orFalse: Boolean
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from OptionalCtValue[Boolean]

### Inherited from CtValue[Option[Boolean]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped